curl -X POST "https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"event_type": "webhook.disabled"
}'
const response = await fetch('https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"event_type": "webhook.disabled"
})
});
import requests
response = requests.post(
'https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
"event_type": "webhook.disabled"
}
)
{ "event_id": "evt_6f9c2c1e-…" }
{ "error": "invalid_request", "error_description": "account.first_agent_created is not available at the reseller level." }
{ "error": "conflict", "error_description": "Enable the endpoint before sending a test event." }
{ "error": "not_found", "error_description": "Webhook endpoint not found." }
Event Webhooks
Send Test Event
Sends a sample event to this endpoint only
POST
/
v1
/
webhooks
/
{webhookId}
/
test
curl -X POST "https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"event_type": "webhook.disabled"
}'
const response = await fetch('https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"event_type": "webhook.disabled"
})
});
import requests
response = requests.post(
'https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
"event_type": "webhook.disabled"
}
)
{ "event_id": "evt_6f9c2c1e-…" }
{ "error": "invalid_request", "error_description": "account.first_agent_created is not available at the reseller level." }
{ "error": "conflict", "error_description": "Enable the endpoint before sending a test event." }
{ "error": "not_found", "error_description": "Webhook endpoint not found." }
Path Parameters
Request Body
Sample data is sent with"test": true. Test deliveries never affect the endpoint’s health.
An endpoint or delivery outside your API key’s scope returns
404, the same as one that does not exist.curl -X POST "https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"event_type": "webhook.disabled"
}'
const response = await fetch('https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"event_type": "webhook.disabled"
})
});
import requests
response = requests.post(
'https://api.telzino.com/v1/webhooks/3f2b8c1e-5d4a-4e7b-9c2d-1a6f0e8b7d54/test',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
"event_type": "webhook.disabled"
}
)
{ "event_id": "evt_6f9c2c1e-…" }
{ "error": "invalid_request", "error_description": "account.first_agent_created is not available at the reseller level." }
{ "error": "conflict", "error_description": "Enable the endpoint before sending a test event." }
{ "error": "not_found", "error_description": "Webhook endpoint not found." }
